org.mariadb.jdbc.credential.aws

## Class AwsIamCredentialPlugin

- java.lang.Object
- - org.mariadb.jdbc.credential.aws.AwsIamCredentialPlugin

All Implemented Interfaces:
  Supplier<Credential>, CredentialPlugin

    public class AwsIamCredentialPlugin
    extends Object
    implements CredentialPlugin

Permit AWS database IAM authentication.

Token is generated using IAM credential and region.

Implementation use SDK DefaultAWSCredentialsProviderChain and DefaultAwsRegionProviderChain (environment variable / system properties, files, ...) or using connection string options : accessKeyId, secretKey, region.

See Also:
  DefaultAWSCredentialsProviderChain, DefaultAwsRegionProviderChain

### Constructor Summary

Constructors
Constructor and Description
`AwsIamCredentialPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Credential` `get()`
`CredentialPlugin` `initialize(Options options, String userName, HostAddress hostAddress)`
`boolean` `mustUseSsl()`
`String` `name()`
`String` `type()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.credential.CredentialPlugin

`defaultAuthenticationPluginType`

### Constructor Detail

#### AwsIamCredentialPlugin

    public AwsIamCredentialPlugin()

### Method Detail

#### type

    public String type()

Specified by:
  `type` in interface `CredentialPlugin`

#### name

    public String name()

Specified by:
  `name` in interface `CredentialPlugin`

#### mustUseSsl

    public boolean mustUseSsl()

Specified by:
  `mustUseSsl` in interface `CredentialPlugin`

#### initialize

    public CredentialPlugin initialize(Options options,
                                       String userName,
                                       HostAddress hostAddress)
                                throws SQLException

Specified by:
  `initialize` in interface `CredentialPlugin`
Throws:
  `SQLException`

#### get

    public Credential get()

Specified by:
  `get` in interface `Supplier<Credential>`